broot(1)

NAME
broot - Tree view, file manager, configurable launcher

SYNOPSIS
broot [flags] [options] [path]
br [flags] [options] [path]

DESCRIPTION
broot lets you explore file hierarchies with a tree-like view, manipulate files, launch actions, and define your own shortcuts.

broot is best launched as br: this shell function gives you access to more commands, especially cd. The br shell function is interactively installed on first broot launch.

Flags and options can be classically passed on launch but also written in the configuration file. Each flag has a counter-flag so that you can cancel at command line a flag which has been set in the configuration file.

FLAGS
FLAGS

-d, --dates
    Show the last modified date of files and directories

-D, --no-dates
    Don't show the last modified date

-f, --only-folders
    Only show folders

-F, --no-only-folders
    Show folders and files alike

--show-root-fs
    Show filesystem info on top

-g, --show-git-info
    Show git statuses on files and stats on repo

-G, --no-show-git-info
    Don't show git statuses on files and stats on repo

--git-status
    Only show files having an interesting git status, including hidden ones

--help
    Print help information

-h, --hidden
    Show hidden files

-H, --no-hidden
    Don't show hidden files

-i, --git-ignored
    Show git ignored files

-I, --no-git-ignored
    Don't show git ignored files

-p, --permissions
    Show permissions

-P, --no-permissions
    Don't show permissions

-s, --sizes
    Show the size of files and directories

-S, --no-sizes
    Don't show sizes

--sort-by-count
    Sort by count (only show one level of the tree)

--sort-by-date
    Sort by date (only show one level of the tree)

--sort-by-size
    Sort by size (only show one level of the tree)

--sort-by-type
    Same as sort-by-type-dirs-first

--sort-by-type-dirs-first
    Sort by type, directories first (only show one level of the tree)

--sort-by-type-dirs-last
    Sort by type, directories last (only show one level of the tree)

-w, --whale-spotting
    Sort by size, show ignored and hidden files

--no-sort
    Don't sort

-t, --trim-root
    Trim the root too and don't show a scrollbar

-T, --no-trim-root
    Don't trim the root level, show a scrollbar

--outcmd=OUTCMD
    Where to write the produced cmd (if any)

-c, --cmd=CMD
    Semicolon separated commands to execute

--color=COLOR [default: auto]
    Whether to have styles and colors (default is usually OK)
    [possible values: auto, yes, no]

--conf=CONF
    Semicolon separated paths to specific config files

--height=HEIGHT
    Height (if you don't want to fill the screen or for file export)

--install
    Install or reinstall the br shell function

--set-install-state=SET_INSTALL_STATE
    Where to write the produced cmd (if any)
    [possible values: undefined, refused, installed]

--print-shell-function=PRINT_SHELL_FUNCTION
    Print to stdout the br function for a given shell

--listen=LISTEN
    A socket to listen to for commands

--get-root
    Ask for the current root of the remote broot

--write-default-conf=WRITE_DEFAULT_CONF
    Write default conf files in given directory

--send=SEND
    A socket that broot sends commands to before quitting

-V, --version
    Print version

BUGS

broot
    is known to be slow on most Windows installations.

On unix and mac platforms, most problems you may encounter are related to some terminals or terminal multiplexers which either intercepts some standard TTY instructions or break buffering or size querying. The list of shortcuts you can define in the config file is thus dependent of your system.

AUTHOR
broot is free and open-source and is written by denys.seguret@gmail.com. The source code and documentation are available at https://dystroy.org/broot